package com.training.product.service;

import java.util.Optional;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.training.product.model.Product;
import com.training.product.repository.BagRepository;

@Service
public class BagServiceImpl implements BagService {
	
	@Autowired
	private BagRepository bagRepository;

	@Override
	public String addProduct(Product product) {
		
		bagRepository.save(product);
		
		return "Suuccessfully Added Product";
	}

	@Override
	public String updateProduct(String name,Product pro) {
		if (bagRepository.existsById(name)) {
			Optional<Product> p = bagRepository.findById(pro.getName());
			Product product = p.get();
			product.setPrice(pro.getPrice());
			product.setQuantity(pro.getQuantity());
			bagRepository.save(product);
			return "Product Updated..!";
		}

		return "There is a no product on this name";
	}

	@Override
	public String deleteProduct(String name) {
		if (bagRepository.existsById(name)) {
		bagRepository.deleteById(name);
		return "Product Deleted ";
		}
		return "Please give correct product name/there is a no product on this name";
	}

}
